JOLT_VERSION = v0.14.0-stable
JOLT_URL = https://github.com/godot-jolt/godot-jolt/releases/download/${JOLT_VERSION}/godot-jolt_${JOLT_VERSION}.zip
JOLT_DIR = ./godot/jolt

install_jolt:
	rm -rf ${JOLT_DIR}
	$(eval DOWNLOAD := $(shell mktemp -d))
	$(eval UNPACK := $(shell mktemp -d))
	curl -L ${JOLT_URL} --output $(DOWNLOAD)/jolt.zip
	unzip $(DOWNLOAD)/jolt.zip -d $(UNPACK)
	mv $(UNPACK)/addons/* ${JOLT_DIR}
	rm -rf $(DOWNLOAD)
	rm -rf $(UNPACK)


rust_build:
	cd rust && cargo build

rust_fmt:
	cd rust && cargo fmt
